Bug 1739363 - Display issues when connecting to VNC Server running on Fedora29
Summary: Display issues when connecting to VNC Server running on Fedora29
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: mesa
Version: 29
Hardware: aarch64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Adam Jackson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-08-09 07:19 UTC by 837637215
Modified: 2019-11-27 23:11 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-27 23:11:42 UTC
Type: Bug


Attachments (Terms of Use)
Screen shot when problem happened (416.94 KB, image/png)
2019-08-09 07:19 UTC, 837637215
no flags Details

Description 837637215 2019-08-09 07:19:39 UTC
Created attachment 1602039 [details]
Screen shot when problem happened

Description of problem:

My server install fedora 29 with gnome-desktop.
When I connect the server with 1024x768 resolution by vnc and move the files window quickly, it has graphic remnants of previous position sometimes.
This graphic remnants won't disapper until I right click on the screen or click the activity button.


Version-Release number of selected component (if applicable):
mesa-dri-drivers-18.2.2-1.fc29.aarch64.rpm
mesa-filesystem-18.2.2-1.fc29.aarch64.rpm

How reproducible:


Steps to Reproduce:
1.Install fedora 29 with gnome-desktop on a aarch64 machine
2.Start vncserver on this machine
3.Use vnc viewer connect it by vnc with 1024x768 resolution
4.Click Activitie,then click Files
5.Move the Files window quickly and stop

Actual results:
Screen has graphic remnants of file window at previous position sometimes and not disapper.

Expected results:
no graphic remnants

Additional info:
Most of other resolutions don't have this problem.
Downgrade mesa-dri-drivers and mesa-filesystem to 18.1.5-1.fc29 manually can fix this problem,and mesa version >=18.2.0 will cause this problem.

Comment 1 Ben Cotton 2019-10-31 18:58:16 UTC
This message is a reminder that Fedora 29 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 29 on 2019-11-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '29'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 29 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 2 Ben Cotton 2019-11-27 23:11:42 UTC
Fedora 29 changed to end-of-life (EOL) status on 2019-11-26. Fedora 29 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.